package com.ruoyi.board.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.ruoyi.board.domain.PresetContent;
import com.ruoyi.board.domain.ReleaseRecordDto;
import lombok.Data;
import org.springframework.stereotype.Service;

import com.ruoyi.board.domain.ReleaseRecord;
import com.ruoyi.board.mapper.ReleaseRecordMapper;
import com.ruoyi.board.service.IReleaseRecordService;

@Service
public class ReleaseRecordServiceImpl extends MPJBaseServiceImpl<ReleaseRecordMapper, ReleaseRecord> implements IReleaseRecordService {

    @Override
    public ReleaseRecord getOneLatestByBoardId(String boardId, Integer type) {
//        LambdaQueryWrapper<ReleaseRecord> releaseRecordLambdaQueryWrapper = new LambdaQueryWrapper<>();
//        releaseRecordLambdaQueryWrapper
//                .eq(ReleaseRecord::getBoardId, boardId)
//                .orderByDesc(ReleaseRecord::getCreateTime)
//                .last("LIMIT 1");

        ReleaseRecordDto releaseRecord = selectJoinOne(ReleaseRecordDto.class,
                new MPJLambdaWrapper<ReleaseRecord>()
                        .selectAll(ReleaseRecord.class)
                        .select(PresetContent::getInfoType)
                        .leftJoin(PresetContent.class, PresetContent::getId, ReleaseRecord::getPresetContentId)
                        .eq(ReleaseRecord::getBoardId, boardId)
                        .eq(PresetContent::getInfoType, type)
                        .orderByDesc(ReleaseRecord::getCreateTime)
                        .last("LIMIT 1")
        );
        System.out.println(releaseRecord);
        return null;
    }
}
